Subject: Re: Apache 1.3.20 & apxs
From: Stipe Tolj <[email-masked]>
To: "S. L." <[email-masked]>
Cc: [email-masked]
Date: Fri, 01 Jun 2001 12:00:14 +0200

Hi,

> Thanks for the answer. I've digged arround a little and there arose some
> results.
> The modules do compile with apxs, under cygwin, but:
>
> 1. For all of them the linking command isn't apxs adapted, relies on
> dllwrap, which doesn't pass appropriate options.
>
> 2. Using apxs by the hand, takes us to compiled dlls, and here we have
> another but [from what I tested]:
>    a. core modules, and also mod_ssl fail to load, with an error (approx.)
> like "Win32 dlsym cannot find mod_<name> defined in mod_<name>.dll";
>    b. (and here is an yumyumyum :) php4 does load, and it's working
> properly.

can you post me some kind of logs or patches you did to make the modules into
single DLLs and what happened, I will try to pass things to apache.org as far as
they are stable.

> Stipe has done a very good work. I would suggest to include in the patch for
> apache 1.3.x tree, the addition of __CYGWIN__ to "#ifundef TPF" directive at
> 2287 line in http_protocol.c, as posted in a previous message; this solves
> the w9x cgi execution, which, without it, ends the connection only after
> server timeout. This modification could have some connotation only for NT/2k,
> where the server works properly in either case.

I'll check that impact.

I have noticed that a build with mod_ssl+mod_php consumes memory (leaks) and the
httpd childs seem not to die properly. But it doesn't seem to happen running ony
the core apache modules.

This is to be investigated too.

Regards,
Stipe

[email-masked]
-------------------------------------------------------------------
Wapme Systems AG

Münsterstr. 248
40470 Düsseldorf

Tel: +49-211-74845-0
Fax: +49-211-74845-299

E-Mail: [email-masked]
Internet: http://www.wapme-systems.de
-------------------------------------------------------------------
wapme.net - wherever you are

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple